package com.ruoyi.project.hit.controller;

import com.ruoyi.framework.web.controller.BaseController;
import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.framework.web.page.TableDataInfo;
import com.ruoyi.project.hit.controller.vo.ListCardGameVo;
import com.ruoyi.project.hit.controller.vo.ListCardProductVo;
import com.ruoyi.project.hit.domain.CardGame;
import com.ruoyi.project.hit.domain.CardProduct;
import com.ruoyi.project.hit.service.CardGameService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/*
活动管理
 */
@RestController
@RequestMapping("/hit/game")
public class CardGameController extends BaseController {

    @Autowired
    private CardGameService cardGameService;



    @GetMapping("/list")
    public TableDataInfo list(ListCardGameVo listCardGameVo)
    {
        System.out.println("111");
        startPage();
        List<HashMap> list = cardGameService.selectCardGameList(listCardGameVo);
        return getDataTable(list);
    }

    /**
     * 新增活动
     * @param cardGame
     * @return
     */
    @PostMapping
    public AjaxResult addCardGame(@RequestBody CardGame cardGame)
    {
        cardGameService.addCardGame(cardGame);
        return AjaxResult.success();
    }

    /**
     * 根据id查询活动
     * @param id
     * @return
     */
    @GetMapping("/{id}")
    public AjaxResult getCardGameById(@PathVariable("id") Integer id)
    {
        //多条数据集合
        Map<String, Object> data = cardGameService.getCardGameDataById(id);
        return AjaxResult.success("查询成功",data);
    }

    /**
     * 修改活动
     * @param cardGame
     * @return
     */
    @PutMapping
    public AjaxResult updateCardGame(@RequestBody CardGame cardGame)
    {
        return toAjax(cardGameService.updateCardGame(cardGame));
    }


    @DeleteMapping("/{id}")
    public AjaxResult deleteCardGameById(@PathVariable("id") Integer id)
    {
        return toAjax(cardGameService.deleteCardGameById(id));
    }

    /**
     * 活动详情接口
     * @param id
     * @return
     */
    @GetMapping("/detail/{gameid}")
    public AjaxResult getCardGameDetailById(@PathVariable("gameid") Integer id)
    {
        //多条数据集合
        Map<String, Object> data = cardGameService.getCardGameDetailById(id);
        return AjaxResult.success("查询成功",data);
    }






}
