package com.ruoyi.project.hit.controller;

import com.ruoyi.framework.web.controller.BaseController;
import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.framework.web.page.TableDataInfo;
import com.ruoyi.project.hit.controller.vo.ListCardProductVo;
import com.ruoyi.project.hit.controller.vo.ListInfoVo;
import com.ruoyi.project.hit.controller.vo.TotalInfoVo;
import com.ruoyi.project.hit.domain.CardGame;
import com.ruoyi.project.hit.domain.CardProduct;
import com.ruoyi.project.hit.service.CardGameService;
import com.ruoyi.project.hit.service.CardUserHitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
/*
信息管理
 */
@RestController
@RequestMapping("/hit/info")
public class InfoController extends BaseController {

    @Autowired
    private CardUserHitService cardUserHitService;

    /**
     * 中奖统计列表显示
     * @param totalInfoVo 中奖统计列表显示的参数
     * @return 中奖统计列表
     */
    @GetMapping("/total")
    public TableDataInfo info(TotalInfoVo totalInfoVo)
    {
        startPage();
        List<HashMap> list = cardUserHitService.selectCardUserHitInfo(totalInfoVo);
        return getDataTable(list);
    }

    /**
     * 中奖统计详情显示
     * @param gameid 活动id
     * @return 活动中奖详情
     */
    @GetMapping("/{gameid}")
    public AjaxResult getInfo(@PathVariable Integer gameid)
    {
        return AjaxResult.success(cardUserHitService.selectCardUserHitInfoByGameId(gameid));
    }


    @GetMapping("/list")
    public TableDataInfo list(ListInfoVo listInfoVo)
    {
        startPage();
        List<HashMap> list = cardUserHitService.selectCardUserHitList(listInfoVo);
        return getDataTable(list);
    }
}
