package com.ruoyi.project.hit.service;

import com.ruoyi.project.hit.domain.CardGameProduct;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.HashMap;
import java.util.List;

/**
* @author HP
* @description 针对表【card_game_product】的数据库操作Service
* @createDate 2024-05-28 16:27:44
*/
public interface CardGameProductService extends IService<CardGameProduct> {

    /**
     *根据productid查询总记录数
     * @param id
     * @return
     */
    Long queryByProductId(Integer id);

    /**
     * 通过活动id(gameid)拿到对应奖品数据
     * @param id gameid
     * @return
     */
    List<HashMap> getGameProductByGameId(Integer id);

    /**
     * 通过活动id(gameid)删除对应奖品数据
     * @param gameid
     * @return
     */
    int deleteByGameId(Integer gameid);

    /**
     * 活动奖品配置
     * @param cardGameProduct
     * @return
     */
    int configGameProduct(CardGameProduct cardGameProduct);

    /**
     * 通过gameid拿到该活动配置的奖品总数量
     * @param gameid
     * @return
     */
    int getSumAmountByGameId(Integer gameid);

    int deleteGameProduct(Integer id);
}
