package com.ruoyi.project.hit.service;

import com.ruoyi.project.hit.domain.CardGameRule;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.HashMap;
import java.util.List;

/**
* @author HP
* @description 针对表【card_game_rule】的数据库操作Service
* @createDate 2024-05-22 22:59:16
*/
public interface CardGameRuleService extends IService<CardGameRule> {

    /**
     *根据会员等级编号查询总记录数
     * @param dictKey
     * @return
     */
    Long queryByDictKey(Integer dictKey);

    List<HashMap> getGameRuleListByGameId(Integer id);

    /**
     * 通过活动id删除对应的活动奖品策略
     * @param gameid
     * @return
     */
    int deleteByGameId(Integer gameid);

    /**
     * 中奖策略配置接口
     * @param cardGameRule
     * @return
     */
    int configGameRule(CardGameRule cardGameRule);

    /**
     * 通过gameid拿到该活动允许中奖的总次数
     * @param gameid
     * @return
     */
    int getHitCountSumByGameId(Integer gameid);

    int deleteGameRule(Integer id);
}
