package com.ruoyi.project.hit.service;

import com.ruoyi.project.hit.controller.vo.ListCardGameVo;
import com.ruoyi.project.hit.domain.CardGame;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* @author HP
* @description 针对表【card_game】的数据库操作Service
* @createDate 2024-05-25 21:09:47
*/
public interface CardGameService extends IService<CardGame> {


    /**
     * 活动列表显示
     * @param listCardGameVo
     * @return
     */
    List<HashMap> selectCardGameList(ListCardGameVo listCardGameVo);

    int addCardGame(CardGame cardGame);

    /**
     * 根据id查询活动
     * @param id
     * @return
     */
    Map<String,Object> getCardGameDataById(Integer id);

    int updateCardGame(CardGame cardGame);

    int deleteCardGameById(Integer id);

    /**
     * 活动详情接口
     * @param id
     * @return
     */
    Map<String, Object> getCardGameDetailById(Integer id);

    CardGame getCardGameByGameId(Integer gameid);
}
