package com.ruoyi.project.hit.service;

import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.hit.controller.vo.ExcelCardProductVo;
import com.ruoyi.project.hit.controller.vo.ListCardProductVo;
import com.ruoyi.project.hit.domain.CardProduct;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* @author HP
* @description 针对表【card_product】的数据库操作Service
* @createDate 2024-05-24 20:50:39
*/
public interface CardProductService extends IService<CardProduct> {

    /**
     * 获取奖品列表
     * @param listCardProductVo
     * @return
     */
    List<CardProduct> selectCardProductList(ListCardProductVo listCardProductVo);

    /**
     * 修改奖品
     * @param cardProduct
     */
    int updateProduct(CardProduct cardProduct);

    /**
     * 根据id查询奖品
     * @param id
     * @return
     */
    CardProduct getProductById(Integer id);

    /**
     * 删除奖品
     * @param id
     * @return
     */
    int deleteProduct(Integer id);

    /**
     * 新增奖品
     * @param cardProduct
     * @return
     */
    int addProduct(CardProduct cardProduct);

    /**
     * 奖品列表显示
     * @return
     */
    List<Map<String,Object>> select();


}
