package com.ruoyi.project.hit.service;

import com.ruoyi.project.hit.controller.vo.ListInfoVo;
import com.ruoyi.project.hit.controller.vo.TotalInfoVo;
import com.ruoyi.project.hit.domain.CardUserHit;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* @author HP
* @description 针对表【card_user_hit】的数据库操作Service
* @createDate 2024-05-28 23:47:42
*/
public interface CardUserHitService extends IService<CardUserHit> {

    /**
     * 中奖统计列表显示
     * @param totalInfoVo
     * @return
     */
    List<HashMap> selectCardUserHitInfo(TotalInfoVo totalInfoVo);

    /**
     * 中奖统计详情显示
     * @param gameid 活动id
     * @return 中奖统计详情
     */
    Map<String,Object> selectCardUserHitInfoByGameId(Integer gameid);

    /**
     * 中奖列表显示
     * @param listInfoVo 中奖列表显示参数
     * @return 中奖列表
     */
    List<HashMap> selectCardUserHitList(ListInfoVo listInfoVo);
}
