package com.ruoyi.project.hit.service;

import com.ruoyi.project.hit.domain.SystemDict;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author yifeng868
* @description 针对表【system_dict】的数据库操作Service
* @createDate 2024-05-11 15:59:46
*/
public interface SystemDictService extends IService<SystemDict> {
    /**
     * 获取用户
     * @param dict
     * @return
     */
    List<SystemDict> selectSystemDictList(SystemDict dict);

    /**
     * 校验会员等级名称
     *
     * @param dict 会员等级信息
     * @return 结果
     */
    String checkDictValueUnique(SystemDict dict);

    /**
     * 校验会员等级代号
     *
     * @param dict 会员等级信息
     * @return 结果
     */
    String checkDictKeyUnique(SystemDict dict);

    /**
     * 新增保存会员等级信息
     *
     * @param dict 会员等级信息
     * @return 结果
     */
    int insertDict(SystemDict dict);

    /**
     * 删除会员等级信息
     *
     * @param id 会员id
     * @return 结果
     */
    int deleteDictById(Integer id);

    /**
     * 通过id获取会员等级信息
     *
     * @param id 会员id
     * @return 结果
     */
    SystemDict selectDictById(Long id);


    /**
     * 更新会员等级信息
     *
     * @param dict 会员等级信息
     * @return 结果
     */
    int updateDict(SystemDict dict);


    /**
     * 根据字典类型查询字典信息
     * @param type  1：会员等级 2：活动类型
     * @return
     */
    List<SystemDict> selectOption(Integer type);
}
