package com.ruoyi.project.hit.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.hit.controller.vo.ListInfoVo;
import com.ruoyi.project.hit.controller.vo.TotalInfoVo;
import com.ruoyi.project.hit.domain.CardUserHit;
import com.ruoyi.project.hit.mapper.CardGameMapper;
import com.ruoyi.project.hit.service.CardUserHitService;
import com.ruoyi.project.hit.mapper.CardUserHitMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* @author HP
* @description 针对表【card_user_hit】的数据库操作Service实现
* @createDate 2024-05-28 23:47:42
*/
@Slf4j
@Service
public class CardUserHitServiceImpl extends ServiceImpl<CardUserHitMapper, CardUserHit>
    implements CardUserHitService{
    @Resource
    private CardUserHitMapper cardUserHitMapper;

    @Override
    public List<HashMap> selectCardUserHitInfo(TotalInfoVo totalInfoVo) {
        return cardUserHitMapper.selectCardUserHitInfo(totalInfoVo);
    }

    @Override
    public Map<String,Object> selectCardUserHitInfoByGameId(Integer gameid) {
        Map<String,Object> map=new HashMap<>();
        //根据活动id拿到活动详情以及活动类型（2表）
        Map map1 = cardUserHitMapper.getCardGameBygameid(gameid);
        log.debug("cardGame",map1);
        map.put("cardGame",map1);
        //根据活动id拿到活动中奖明细（3表）
        List<HashMap> hashMapList=cardUserHitMapper.getProductsBygameid(gameid);
        map.put("products",hashMapList);
        log.debug("products",hashMapList);
        return map;
    }

    @Override
    public List<HashMap> selectCardUserHitList(ListInfoVo listInfoVo) {
        return cardUserHitMapper.selectCardUserHitList(listInfoVo);
    }

}




