package com.ruoyi.project.hit.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.hit.controller.vo.ListCardUserVo;
import com.ruoyi.project.hit.domain.CardUser;
import com.ruoyi.project.hit.domain.SystemDict;
import com.ruoyi.project.hit.service.CardUserService;
import com.ruoyi.project.hit.mapper.CardUserMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

/**
* @author HP
* @description 针对表【card_user】的数据库操作Service实现
* @createDate 2024-05-22 22:53:27
*/
@Service
public class CardUserServiceImpl extends ServiceImpl<CardUserMapper, CardUser>
    implements CardUserService{

    @Resource
    private CardUserMapper cardUserMapper;

    @Override
    public Long queryByDictKey(Integer dictKey) {
        LambdaQueryWrapper<CardUser> wrapper=new LambdaQueryWrapper<>();
        wrapper.eq(CardUser::getLevel,dictKey);
        return cardUserMapper.selectCount(wrapper);
    }

    @Override
    public List<HashMap> selectCardUserList(ListCardUserVo listCardUserVo) {
        return cardUserMapper.selectCardUserList(listCardUserVo);
    }
}




